﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using App15.Droid;
using Java.IO;
using Xamarin.Forms;

[assembly: Dependency(typeof(GetIMageFiles))]
namespace App15.Droid
{
    public class GetIMageFiles : IGetIMageFiles
    {
        public List<byte[]> getImages()
        {
            List<string> filePaths = GetFilesPath();
            List<byte[]> images = new List<byte[]>();
            byte[] bytes;

            foreach (var path in filePaths)
            {
                bytes = System.IO.File.ReadAllBytes(path);
                images.Add(bytes);
            }
           
            return images;
        }

        public List<string> GetFilesPath()
        {
            var path = Android.OS.Environment.GetExternalStoragePublicDirectory(Android.OS.Environment.DirectoryPictures).AbsolutePath + "/temp";

            var file = new Java.IO.File(path);
            var files = file.ListFiles();
            List<string> paths = new List<string>();

            foreach (var item_file in files)
            {
                paths.Add(item_file.Path);
            }

            return paths;
        }
    }
}